FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 06-12-2008, 04:27 AM
"Walter Dnes"
 
Default Help with battling alsa-lib versions

If I emerge whichever version of alsa-lib-1.0.16 is current, mplayer,
audacious, and anything else that relies on alsa don't play audio.
However, Realplayer (bleagh) and anything that works off of OSS
emulation still works.

If i put...
>=media-libs/alsa-lib-1.0.14_rc1-r1

...into /etc/portage/package.mask, and emerge the older version of
alsa-lib, the above programs work fine, but alsactl dies like so...

[m3000][root][~] alsactl store
alsactl: relocation error: alsactl: symbol snd_tlv_parse_dB_info,
version ALSA_0.9 not defined in file libasound.so.2 with link time
reference

[m3000][root][~] alsactl restore
alsactl: relocation error: alsactl: symbol snd_ctl_get_dB_range, version
ALSA_0.9 not defined in file libasound.so.2 with link time reference

...which means that settings can't be saved/restored at shutdown/reboot.
This is a PITA, because I have to manually run alsamixer after each
reboot, and unmute and re-set all the audio settings. This is the
lesser of 2 evils, because no alsa sound is a showstopper. What am I
doing wrong?

--
Walter Dnes <waltdnes@waltdnes.org>
Stop the Squeegee Kids in Pinstripe Suits
Fight Canadian internet taxes http://walterdnes.wordpress.com
--
gentoo-user@lists.gentoo.org mailing list
 
Old 06-12-2008, 05:20 AM
"Hemmann, Volker Armin"
 
Default Help with battling alsa-lib versions

On Donnerstag, 12. Juni 2008, Walter Dnes wrote:
> If I emerge whichever version of alsa-lib-1.0.16 is current, mplayer,
> audacious, and anything else that relies on alsa don't play audio.
> However, Realplayer (bleagh) and anything that works off of OSS
> emulation still works.

works perfectly fine here. Maybe you need a revdep-rebuilt?

Which - after the downgrade - should also solve your little alsactl problem.
--
gentoo-user@lists.gentoo.org mailing list
 
Old 07-15-2008, 02:42 AM
"Walter Dnes"
 
Default Help with battling alsa-lib versions

On Thu, Jun 12, 2008 at 12:27:40AM -0400, Walter Dnes wrote
> If I emerge whichever version of alsa-lib-1.0.16 is current, mplayer,
> audacious, and anything else that relies on alsa don't play audio.
> However, Realplayer (bleagh) and anything that works off of OSS
> emulation still works.
>
> If i put...
> >=media-libs/alsa-lib-1.0.14_rc1-r1
>
> ...into /etc/portage/package.mask, and emerge the older version of
> alsa-lib, the above programs work fine, but alsactl dies like so...
>
> [m3000][root][~] alsactl store
> alsactl: relocation error: alsactl: symbol snd_tlv_parse_dB_info,
> version ALSA_0.9 not defined in file libasound.so.2 with link time
> reference
>
> [m3000][root][~] alsactl restore
> alsactl: relocation error: alsactl: symbol snd_ctl_get_dB_range, version
> ALSA_0.9 not defined in file libasound.so.2 with link time reference
>
> ...which means that settings can't be saved/restored at shutdown/reboot.
> This is a PITA, because I have to manually run alsamixer after each
> reboot, and unmute and re-set all the audio settings. This is the
> lesser of 2 evils, because no alsa sound is a showstopper. What am I
> doing wrong?

This seems to be a problem only for those of us that start off our USE
variables with "-*". After a bunch of Google-searching, I found a
similar complaint. Apparently, "-*" wipes out ALSA_PCM_PLUGINS. They
recommended fixing it by setting ALSA_PCM_PLUGINS. My /etc/make.conf
now contains the following...

USE="-* X a52 aac bzip2 dga doc dri exif ffmpeg flac gif jpeg mmx mng mp3 mpeg nptl nptlonly nsplugin offensive ogg opengl png posix sse sse2 theora threads tiff truetype vim-syntax vorbis win32codecs wmf xcomposite xpm xv xvid zlib"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol"

This is probably overkill, but at least it works without forcing an
older alsa-lib version.

--
Walter Dnes <waltdnes@waltdnes.org>
--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 06:34 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org